Package org.eclipse.birt.report.engine.extension

# Interface IQueryContext

public interface IQueryContext

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.birt.data.engine.api.IDataQueryDefinition[]`
`createQuery(org.eclipse.birt.data.engine.api.IDataQueryDefinition parent, org.eclipse.birt.report.model.api.ReportElementHandle handle)`
delegate to report engine to build query, the extened item may call this api to build children's query
`org.eclipse.birt.report.data.adapter.api.DataRequestSession`
`getDataRequestSession()`
return a data session

## Method Details

### createQuery

org.eclipse.birt.data.engine.api.IDataQueryDefinition[] createQuery(org.eclipse.birt.data.engine.api.IDataQueryDefinition parent, org.eclipse.birt.report.model.api.ReportElementHandle handle)
delegate to report engine to build query, the extened item may call this api to build children's query

### getDataRequestSession

org.eclipse.birt.report.data.adapter.api.DataRequestSession getDataRequestSession()
return a data session